{% extends 'base.html' %}

{% block title %}
    {{ title }}
{% endblock %}

{% block body %}
    {% for post in news %}
        <div class="alert alert-light">
            <h3>{{ post.title }}</h3>
            <p>{{ post.text|striptags|truncatechars:200 }}</p>
            <div class="d-flex text-body-secondary pt-3">

                {% if post.author.profile.img %}
                    <div>
                        <img src="{{ post.author.profile.img.url }}" alt="{{ post.author }}" class="user_image">
                    </div>
                {% endif %}

                <div class="mt-2">

                    {% if post.author %}
                        <b>Author:</b>
                        <a href="{% url 'blog:user-news' post.author %}">{{ post.author }}</a>
                    {% endif %}

                    <span class="text-muted"><p><b>Date:</b> {{ post.date|date:"d E Y, H:i:s " }}</p></span>
                </div>
            </div>
            <a href="{% url 'blog:news-detail' post.id %}" class="btn btn-outline-warning">Читать далее</a>
        </div>
    {% endfor %}

    {% if is_paginated %}
        {% if page_obj.has_previous %}
            <a href="/" class="btn btn-outline-warning">Начало</a>
            <a href="?page={{ page_obj.previous_page_number }}" class="btn btn-outline-warning">Предыдгщая</a>
        {% endif %}

        {% for num in page_obj.paginator.page_range %}
            {% if num == page_obj.number %}
                <button class="btn btn-warning">{{ num }}</button>
            {% elif num > page_obj.number|add:'-3' and num < page_obj.number|add:'3' %}
                <a href="?page={{ num }}" class="btn btn-outline-warning">{{ num }}</a>
            {% endif %}
        {% endfor %}

        {% if page_obj.has_next %}
            <a href="?page={{ page_obj.next_page_number }}" class="btn btn-outline-warning">Следующая</a>
            <a href="?page={{ page_obj.paginator.num_pages }}" class="btn btn-outline-warning">Послудняя</a>
        {% endif %}
    {% endif %}
{% endblock %}

{% block aside_news_section %}
    <h3><b>10 films and series for programmers</b></h3>
    <img class="img-thumbnail mb-1"
         src="https://itproger.com/img/news/1477674462.jpg">
    <p>When you get on the path of programming, you really want to watch any films or series on this topic.
        We present you a selection of 10 films for programmers.</p>
    <a href="https://itproger.com/news/10-filmov-i-serialov-dlya-programmistov" target="_blank">
        <button class="btn btn-warning">View</button>
    </a>
{% endblock %}